Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 23 Nov 2010 21:21:56 +0000 (UTC)
From:      Poul-Henning Kamp <phk@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-all@freebsd.org, svn-src-head@freebsd.org
Subject:   svn commit: r215770 - head/tools/tools/sysbuild
Message-ID:  <201011232121.oANLLuDc044260@svn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: phk
Date: Tue Nov 23 21:21:56 2010
New Revision: 215770
URL: http://svn.freebsd.org/changeset/base/215770

Log:
  Don't checksum distfiles twice if they match the first time.

Modified:
  head/tools/tools/sysbuild/sysbuild.sh

Modified: head/tools/tools/sysbuild/sysbuild.sh
==============================================================================
--- head/tools/tools/sysbuild/sysbuild.sh	Tue Nov 23 21:20:27 2010	(r215769)
+++ head/tools/tools/sysbuild/sysbuild.sh	Tue Nov 23 21:21:56 2010	(r215770)
@@ -253,26 +253,24 @@ ports_prefetch() (
 	# Now checksump/fetch them
 	for p in `cat /tmp/_.plist`
 	do
-		echo "Prefetching $p" >> /mnt/_.prefetch
 		b=`echo $p | tr / _`
 		(
 			cd $p
 			if make checksum $PORTS_OPTS ; then
-				true
-			else
-				make distclean
-				make checksum $PORTS_OPTS || true
+				rm -f /mnt/_.prefetch.$b
+				echo "OK $p" >> /mnt/_.prefetch
+				exit 0
 			fi
-		) > /mnt/_.prefetch.$b 2>&1
-		(
-			cd $p
+			make distclean
+			make checksum $PORTS_OPTS || true
+
 			if make checksum $PORTS_OPTS > /dev/null 2>&1 ; then
 				rm -f /mnt/_.prefetch.$b
 				echo "OK $p" >> /mnt/_.prefetch
 			else
 				echo "BAD $p" >> /mnt/_.prefetch
 			fi
-		)
+		) > /mnt/_.prefetch.$b 2>&1
 	done
 	) 
 )



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201011232121.oANLLuDc044260>